import Immutable from 'immutable';
import { INCREMENT_COUNTER, DECREMENT_COUNTER } from '../actions/counter';
import { Record } from '../store/configureStore';

export default function counter(state = 0, action) {
  switch (action.type) {
  case INCREMENT_COUNTER:
    return {
      map: Immutable.Map(),
      orderedMap: Immutable.OrderedMap(),
      list: Immutable.List(null),
      range: Immutable.Range(0,7),
      repeat: Immutable.Repeat('hi', 100),
      record: Record({a:1, b:2}),
      set: Immutable.Set(),
      orderedSet: Immutable.OrderedSet(),
      seq: Immutable.Seq.of(1,2,3,4,5,6,7,8),
      stack: Immutable.Stack.of('a', 'b', 'c')
  };
  case DECREMENT_COUNTER:
    return state - 1;
  default:
    return state;
  }
}
